Bug 133018 - Confusing privilege request dialog
Summary: Confusing privilege request dialog
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-20 22:03 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 02:33:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-09-20 22:03:15 UTC
Signed scripts requesting enhanced abilities could construct the
request in a way that led to a confusing grant dialog, possibly
fooling the user into thinking the privilege requested was
inconsequential while actually obtaining explicit permission to run
and install software.

Workaround: Never grant enhanced abilities of any kind to untrusted
web pages.

See 
http://www.mozilla.org/projects/security/known-vulnerabilities.html#mozilla1.7.3
for more information.

Comment 1 Josh Bressers 2004-09-20 22:26:43 UTC
This issue is going to be RHSA-2004:486.

Comment 2 Josh Bressers 2004-09-22 02:33:47 UTC
This issue doesn't affect our mozilla.


Note You need to log in before you can comment on or make changes to this bug.